"""create table for Menu
Revision ID: 456d7f2e9d5c
Revises: 0001
Create Date: 2023-05-25 12:00:00
"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = '456d7f2e9d5c'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    table_name = "menus"

    op.create_table(
        table_name,
        sa.Column('id', sa.String(36), primary_key=True),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('category', sa.String(), nullable=False),
        sa.Column('price', sa.Integer(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=sa.func.now(), onupdate=sa.func.now())
    )

def downgrade():
    table_name = "menus"
    op.drop_table(table_name)