from fastapi import APIRouter, Depends
from typing import List
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.menu import MenuSchema
from helpers.menu_helpers import get_all_menus

router = APIRouter()

@router.get("/food-list", response_model=List[MenuSchema], status_code=200)
async def get_food_list(db: Session = Depends(get_db)):
    menus = get_all_menus(db)
    return menus